<!DOCTYPE html>
{% load bootstrap %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>

    <table class="table table-bordered" border="1" align="center">
           <tr>
               <th></th>
               <th>№:</th>
               <th>Ф.И.О</th>
               <th>Возраст</th>
               <th>Группа</th>
           </tr >
           {% for student in students %}
           <tr>
               <td><a class="btn btn-primary" href="{% url 'student-update' student.id %}">Edit</a></td>
                <td align="center">{{ forloop.counter }}</td>
                <td>{{student.last_name}} {{student.first_name|slice:"1"}}. {{student.middle_name|slice:"1"}}.</td>
                <td>{{student.age}}</td>
                <td>{{student.group}}</td>
           </tr>
           {% endfor %}
    </table>
</body>
</html>